var project = ccPage.contextObject;
var mw = project.Application.MessagesWindow;

if (project.getProperty("outputFileFormat") == "unix")
{
  var fileExtension = project.getProperty("fileExtension");
  var exParts = fileExtension.split(".");
  fileExtension = exParts[exParts.length - 1];
  var fso = project.Application.CCFileSystem;
  replaceFiles(fso.Directory(project.publishPath(false)), fso, fileExtension);
  var fso = null;
}

ccPage.namedValue("deploymentDir") = project.publishPath(false);

function replaceFiles(Directory, fso, fileExtension)
{
  var Files = Directory.Files;
  var nCount = Files.Count;
  var i = 1;
  for ( i = 1; i <= nCount; i++)
  {
    var File = Files.Item(i);
    var nameArr = File.name.split(".");
    var extension = "";
    if(nameArr.length > 1) {
      extension = nameArr[nameArr.length - 1];
    } else if (fileExtension != "") {
      var extensionLength = fileExtension.length;
      var filenameLength = File.name.length;
      extension = File.name.substring(filenameLength - extensionLength, filenameLength);
    }
    if (extension == "pl" || extension == "cgi" || extension == "pm" || extension == fileExtension)
    {
      var content = fso.ReadFileContent( Directory.path + "\\" + File.name );
      content = content.replace(/\r/g, "");

      if (content != "") {
        fso.SaveFileContent( Directory.path + "\\" + File.name, content );
      }
    }
    File = null;
  }

  var Folders = Directory.Folders;
  nCount = Folders.Count;
  for ( i = 1; i <= nCount; i++)
  {
    var Folder = Folders.Item(i);
    replaceFiles(Folder, fso, fileExtension);
  }

}